Bug 228273 - devel/grv: Fix build with devel/libgit2 0.27
Summary: devel/grv: Fix build with devel/libgit2 0.27
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: http://beefy9.nyi.freebsd.org/data/11...
Keywords:
Depends on:
Blocks: 228818
  Show dependency treegraph
 
Reported: 2018-05-15 14:27 UTC by Dmitri Goutnik
Modified: 2018-08-31 17:01 UTC (History)
3 users (show)

See Also:
koobs: merge-quarterly?


Attachments
patch file (6.20 KB, patch)
2018-05-15 14:27 UTC, Dmitri Goutnik
dg: maintainer-approval+
koobs: maintainer-approval? (ports-secteam)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik 2018-05-15 14:27:55 UTC
Created attachment 193431 [details]
patch file

* Fix build with devel/libgit2 0.27

Fallout logs:
  http://beefy9.nyi.freebsd.org/data/111amd64-default/469985/logs/grv-0.1.3.log
  http://beefy10.nyi.freebsd.org/data/111i386-default/469985/logs/grv-0.1.3.log

QA:
  poudriere testport: OK (11a, 10i)
Comment 1 Kurt Jaeger freebsd_committer 2018-05-15 20:07:45 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2018-05-15 20:07:52 UTC
A commit references this bug:

Author: pi
Date: Tue May 15 20:07:44 UTC 2018
New revision: 470048
URL: https://svnweb.freebsd.org/changeset/ports/470048

Log:
  devel/grv: Fix build with devel/libgit2 0.27

  PR:		228273
  Submitted by:	Dmitri Goutnik <dg@syrec.org> (maintainer)

Changes:
  head/devel/grv/Makefile
  head/devel/grv/distinfo
  head/devel/grv/files/
  head/devel/grv/files/patch-cmd_grv_repo__data__loader.go
  head/devel/grv/files/patch-src_gopkg.in_libgit2_git2go.v27_diff.go
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-06-08 05:56:53 UTC
Re-open for MFH (See bug 228818)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-06-08 10:00:13 UTC
Comment on attachment 193431 [details]
patch file

Request approval from ports-secteam.

Original commit was not marked with MFH, but it needs to be now.
Comment 5 Yuri Victorovich freebsd_committer 2018-08-31 16:54:43 UTC
Ping koobs@.
Is MFH still relevant?
Comment 6 Kurt Jaeger freebsd_committer 2018-08-31 17:01:38 UTC
The MFH was done implicitly when Q3 was created.